input GroupeAmisInput {
  id: ID
  nom: String!
  description: String
  status: GroupeAmisStatus!
  type: GroupeAmisType!
  predefine: Boolean
  codeMaj: String
  isRemoved: Boolean
  idPharmacie: ID
  idDepartement: ID
  idRegion: ID
}

type Mutation {
  createUpdateGroupeAmis(input: GroupeAmisInput!): GroupeAmis!
  softDeleteGroupeAmises(ids: [ID!]!): [GroupeAmis!]!
  updateGroupeAmisStatus(id: ID!, status: GroupeAmisStatus!): GroupeAmis!
  leaveGroupeAmis(id: ID!, idsPharmacies: [ID!]!): [GroupeAmisDetail!]
  invitePharmacies(id: ID!, idsPharmacies: [ID!]!): [GroupeAmisDetail!]
}

type Query {
  groupeAmis(id: ID!): GroupeAmis
  groupeAmises(isRemoved: Boolean): [GroupeAmis!]!
}

type GroupeAmis implements Searchable {
  type: String!
  id: ID!
  nom: String
  description: String
  status: GroupeAmisStatus!
  typeGroupeAmis: GroupeAmisType!
  predefine: Boolean
  pharmacie: Pharmacie
  departement: Departement
  region: Region
  codeMaj: String
  groupement: Groupement
  isRemoved: Boolean
  userCreation: User
  userModification: User
  dateCreation: DateTime
  dateModification: DateTime!
  nbPharmacie: Int!
  nbMember: Int!
  nbPartage: Int!
  nbRecommandation: Int!
  pharmacieMembres: [Pharmacie!]
}
